> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mylifeforce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient Biomarkers with Summary

> Get the biomarkers with summary and lifescore



## OpenAPI

````yaml GET /patient/{patientId}/results
openapi: 3.0.1
info:
  title: Lifeforce Care Team API
  description: An API used by the Lifeforce care team portal to query patient data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://om-staging.mylifeforce.com/api/m2m
security:
  - bearerAuth: []
paths:
  /patient/{patientId}/results:
    get:
      description: Get the biomarkers with summary and lifescore
      parameters:
        - $ref: '#/components/parameters/PatientIdParam'
      responses:
        '200':
          description: Returns the biomarkers with summary
          content:
            application/json:
              examples:
                notesList:
                  summary: Example Biomarkers and Summary
                  value:
                    summary: Example Biomarkers Summary
                    biomarkers:
                      - id: b8f2f599-286d-4681-82b6-b7d5bf945b2a
                        created_at: '2023-07-17T02:45:18.997Z'
                        result:
                          - name: DHEA-Sulfate
                            article_name: DHEA
                            result: '491'
                            result_level: High
                            pathological_minimum: 250
                            pathological_maximum: 550
                            optimal_minimum: 400
                            optimal_maximum: 500
                            display_minimum: 150
                            display_maximum: 650
                            hidden: false
                            no_range: false
                          - name: C-Reactive Protein, Cardiac
                            result: '0.36'
                            pathological_minimum: 0
                            pathological_maximum: 3
                            optimal_minimum: 0
                            optimal_maximum: 1
                            display_minimum: 0
                            display_maximum: 4
                            hidden: false
                            no_range: false
                          - name: Estim. Avg Glu (eAG)
                            result: '111'
                            pathological_minimum: 0
                            pathological_maximum: 100
                            optimal_minimum: 0
                            optimal_maximum: 100
                            display_minimum: 0
                            display_maximum: 133.33
                            hidden: false
                            no_range: false
                          - name: Hemoglobin A1c
                            result: '5.5'
                            pathological_minimum: 0
                            pathological_maximum: 5.6
                            optimal_minimum: 0
                            optimal_maximum: 5.3
                            display_minimum: 0
                            display_maximum: 7.47
                            hidden: false
                            no_range: false
                          - name: Apolipoprotein B
                            result: '66'
                            pathological_minimum: 0
                            pathological_maximum: 100
                            optimal_minimum: 0
                            optimal_maximum: 90
                            display_minimum: 0
                            display_maximum: 133.33
                            hidden: false
                            no_range: false
                          - name: Estradiol
                            result: '44.2'
                            result_level: High
                            pathological_minimum: 5
                            pathological_maximum: 55
                            optimal_minimum: 7
                            optimal_maximum: 43
                            display_minimum: 0
                            display_maximum: 71.67
                            hidden: false
                            no_range: false
                          - name: C-Reactive Protein, Cardiac
                            article_name: hsCRP
                            result: '0.36'
                            pathological_minimum: 0
                            pathological_maximum: 3
                            optimal_minimum: 0
                            optimal_maximum: 1
                            display_minimum: 0
                            display_maximum: 4
                            hidden: false
                            no_range: false
                    marker_details:
                      DHEA: ....
                      hsCRP: ...
                      ...: ...
              schema:
                type: object
                properties:
                  summary:
                    type: string
                  marker_details:
                    type: object
                    description: >-
                      Keys represent marker name against the richtext that
                      explains it
                  biomarkers:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        created_at:
                          $ref: '#/components/schemas/DateTime'
                        result:
                          type: array
                          items:
                            $ref: '#/components/schemas/Biomarker'
                required:
                  - biomarkers
                  - marker_details
        '404':
          description: Patient or results not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    PatientIdParam:
      name: patientId
      in: path
      description: The id of the patient in question
      required: true
      schema:
        $ref: '#/components/schemas/UUID'
  schemas:
    DateTime:
      type: string
      format: date-time
      example: '2022-04-18T09:46:00Z'
    Biomarker:
      type: object
      properties:
        name:
          type: string
          description: Name of the biomarker
        article_name:
          type: string
          description: Optional lookup name for biomarker content
        result:
          type: string
          description: Value of the biomarker result
        result_level:
          type: string
          description: Result level whether Low, Ok or High
        unit:
          type: string
          description: Unit of the biomarker result
        lab_comments:
          type: string
          description: Any additional comments on the biomarker
        pathological_minimum:
          type: number
          description: Ending point for lower red zone
        pathological_maximum:
          type: number
          description: Starting point for upper red zone
        optimal_minimum:
          type: number
          description: Ending point for lower green zone
        optimal_maximum:
          type: number
          description: Starting point for upper green zone
        display_minimum:
          type: number
          description: Lowest display value for the biomarker
        display_maximum:
          type: number
          description: Highest display value for the biomarker
        no_range:
          type: boolean
          description: Indicating whether to use marker ranges or not
        hidden:
          type: boolean
          description: Flag to determine whether to show the biomarker or not
      required:
        - name
        - result
        - unit
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    UUID:
      type: string
      format: uuid
      example: 29ea9012-c622-4851-a57a-9327abd21198
      description: A universally unique identifier.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````